Skip to main content
POST
/
cluster
/
{clusterId}
/
lock
Lock Cluster
curl --request POST \
  --url https://api.qovery.com/cluster/{clusterId}/lock \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>",
  "ttl_in_days": 123
}
'
{
  "reason": "<string>",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "locked_at": "2023-11-07T05:31:56Z",
  "owner_name": "<string>",
  "ttl_in_days": 123
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string
required

Body

application/json
reason
string
required
ttl_in_days
integer

Response

OK

reason
string
required
cluster_id
string<uuid>
required
locked_at
string<date-time>
required
owner_name
string
required
ttl_in_days
integer